Page MenuHomePhabricator

Put view settings in URL so it can be shared and bookmarked
Closed, ResolvedPublic13 Story Points

Description

  • type (line/table)
  • range (all/2yr/1yr/3mth/1mth)
  • splits

Not sure how easy this'd be?

Also, from Dario: I would also like to suggest we add (in the footer or in the dropdown menu) an option for researchers using this data to know how to cite it, after assigning Wikistats 2.0 a persistent DOI. This will allow us to track usage of the data in research, which is very hard to do without DOIs.

See for example the "Cite" tab in Figshare: https://figshare.com/articles/Wikipedia_Clickstream/1305770

I can help set up an entry and citable DOI for Wikistats before it officially goes live.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2017, 10:36 PM
fdans added a subscriber: fdans.Nov 2 2017, 3:35 PM

We're aiming to have this for our beta release. This data will not be serialised in URLs in the alpha release.

fdans moved this task from Incoming to Wikistats Production on the Analytics board.Nov 2 2017, 3:43 PM
Cirdan added a subscriber: Cirdan.Jan 22 2018, 10:11 PM
mforns added subscribers: DarTar, Strainu.
mforns added a subscriber: Nuria.
mforns added a subscriber: mforns.

From duplicate task:

I'd like to recommend that we make the deeplink to each report discoverable and shareable (if it's persistent). For example, at the moment, I don't know if I can directly reference the table view for a given metric, or even the direct download link, as opposed to the default "view".
I would also like to suggest we add (in the footer or in the dropdown menu) an option for researchers using this data to know how to cite it, after assigning Wikistats 2.0 a persistent DOI. This will allow us to track usage of the data in research, which is very hard to do without DOIs.
See for example the "Cite" tab in Figshare: https://figshare.com/articles/Wikipedia_Clickstream/1305770
I can help set up an entry and citable DOI for Wikistats before it officially goes live.

Nuria renamed this task from Wikistats Bug – Put view settings in URL so it can be shared to Wikistats Beta – Put view settings in URL so it can be shared. bookmarks.Mar 22 2018, 6:47 PM
fdans triaged this task as High priority.Mar 29 2018, 5:20 PM
fdans moved this task from Wikistats Production to Wikistats Beta on the Analytics board.
Milimetric renamed this task from Wikistats Beta – Put view settings in URL so it can be shared. bookmarks to Put view settings in URL so it can be shared and bookmarked.May 15 2018, 2:42 PM
Milimetric claimed this task.
Milimetric set the point value for this task to 13.
Milimetric updated the task description. (Show Details)May 15 2018, 2:45 PM

@DarTar, are you envisioning a dynamic DOI registration through something like https://mds.datacite.org/ ? Or statically registering some part of Wikistats? I can think of three levels to register at:

  • one DOI for all of Wikistats (does that work? I'm new to DOIs)
  • one DOI for each metric's default view (we could do this both automatically and manually)
  • one DOI for each possible combination of view settings (we crawl all the possibilities, make a list, and register them dynamically)

Change 434500 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/wikistats2@master] Reflect detail state in the URL and back

https://gerrit.wikimedia.org/r/434500

Change 434500 merged by jenkins-bot:
[analytics/wikistats2@master] Reflect detail state in the URL and back

https://gerrit.wikimedia.org/r/434500

ping @DarTar: we're close to deploying this feature, and the URLs will be unique and deep, but still not sure how DOIs are going to work, let me know what you think about my question above T179444#4207970

Change 438030 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/wikistats2@master] Improve routing logic

https://gerrit.wikimedia.org/r/438030

Change 438030 merged by Milimetric:
[analytics/wikistats2@master] Improve routing logic

https://gerrit.wikimedia.org/r/438030

Nuria added a comment.Jun 18 2018, 5:54 PM

Ping @DarTar to take a look, bookmarks now deployed to prod

Nuria closed this task as Resolved.Jun 18 2018, 5:54 PM

@Nuria I can't figure out how to get the permalink from the UI.

@Milimetric sorry I missed your earlier comment. I'd recommend a single DOI for the entire wikistats dataset.

Nuria added a comment.Jun 19 2018, 2:50 PM

@DarTar cut & paste url?

@Nuria, I see, I thought there was something in the UI, similar to what the WDQS does for permalinking a query or its results. But I appreciate it's a different feature request.

@DarTar: so the DOI would just be the URL of the dashboard (first page)? If there's a button to "permalink" on the detail page, then, it would be confusing if it referenced the dashboard. Maybe we should talk about this in a quick hangout when you have time.